'use client';
var jsxRuntime = require('react/jsx-runtime');
var iconsMaterial = require('@mui/icons-material');
var material = require('@mui/material');
var Button12s = require('./Button-12s-DAXoQHAS.js');
var Carousel12s = require('./Carousel-12s-DKC77ZTT.js');

const CarouselPrevious = ({ sx, ...props })=>{
    const { orientation, scrollPrev, canScrollPrev } = Carousel12s.useCarousel();
    return /*#__PURE__*/ jsxRuntime.jsxs(material.IconButton, {
        sx: Button12s.mergeSx({
            position: 'absolute',
            width: 32,
            height: 32,
            borderRadius: '50%',
            ...orientation === 'horizontal' ? {
                top: '50%',
                left: '-3rem',
                transform: 'translateY(-50%)'
            } : {
                top: '-3rem',
                left: '50%',
                transform: 'translateX(-50%) rotate(90deg)'
            }
        }, sx),
        disabled: !canScrollPrev,
        onClick: scrollPrev,
        ...props,
        children: [
            /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.NavigateBefore, {}),
            /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                component: "span",
                sx: Button12s.serverOnlySx(),
                children: "Previous slide"
            })
        ]
    });
};
const CarouselNext = ({ sx, ...props })=>{
    const { orientation, scrollNext, canScrollNext } = Carousel12s.useCarousel();
    return /*#__PURE__*/ jsxRuntime.jsxs(material.IconButton, {
        sx: Button12s.mergeSx({
            position: 'absolute',
            width: 32,
            height: 32,
            borderRadius: '50%',
            ...orientation === 'horizontal' ? {
                top: '50%',
                right: '-3rem',
                transform: 'translateY(-50%)'
            } : {
                bottom: '-3rem',
                left: '50%',
                transform: 'translateX(-50%) rotate(90deg)'
            }
        }, sx),
        disabled: !canScrollNext,
        onClick: scrollNext,
        ...props,
        children: [
            /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.NavigateNext, {}),
            /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                component: "span",
                sx: Button12s.serverOnlySx(),
                children: "Next slide"
            })
        ]
    });
};

exports.CarouselNext = CarouselNext;
exports.CarouselPrevious = CarouselPrevious;
