'use client';
var jsxRuntime = require('react/jsx-runtime');
var iconsMaterial = require('@mui/icons-material');
var material = require('@mui/material');
var React = require('react');
var Button12s = require('./Button-12s-DAXoQHAS.js');
require('@mui/material/CircularProgress');
require('@mui/material/IconButton');
var Modal12s = require('./Modal-12s-Bxa05JQ9.js');

const ModalQuick = ({ okButtonText = 'OK', cancelButtonText = 'Cancel', open, onClose, onOk, title, children, type })=>{
    const [isSubmitting, setIsSubmitting] = React.useState(false);
    const handleOk = async ()=>{
        setIsSubmitting(true);
        try {
            await onOk?.();
        } finally{
            setIsSubmitting(false);
        }
    };
    return /*#__PURE__*/ jsxRuntime.jsx(Modal12s.Modal, {
        open: open,
        onClose: onClose,
        showCloseIcon: false,
        disableBackdropClick: true,
        disableEscapeKeyDown: true,
        contentProps: {
            dividers: false
        },
        customActions: /*#__PURE__*/ jsxRuntime.jsxs(jsxRuntime.Fragment, {
            children: [
                type === 'confirm' && /*#__PURE__*/ jsxRuntime.jsx(Button12s.Button, {
                    variant: "outlined",
                    size: "medium",
                    onClick: ()=>onClose?.({}, 'closeButtonClick'),
                    sx: {
                        minWidth: 80
                    },
                    disabled: isSubmitting,
                    children: cancelButtonText
                }),
                /*#__PURE__*/ jsxRuntime.jsx(Button12s.Button, {
                    variant: "contained",
                    size: "medium",
                    onClick: handleOk,
                    sx: {
                        minWidth: 80
                    },
                    loading: isSubmitting,
                    children: okButtonText
                })
            ]
        }),
        children: /*#__PURE__*/ jsxRuntime.jsxs(material.Stack, {
            direction: "row",
            spacing: 1,
            children: [
                type === 'info' && /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.Info, {
                    sx: {
                        color: 'info.main'
                    }
                }),
                type === 'success' && /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.CheckCircle, {
                    sx: {
                        color: 'success.main'
                    }
                }),
                type === 'error' && /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.Cancel, {
                    sx: {
                        color: 'error.main'
                    }
                }),
                type === 'warning' && /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.Warning, {
                    sx: {
                        color: 'warning.main'
                    }
                }),
                type === 'confirm' && /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.Info, {
                    sx: {
                        color: 'warning.main'
                    }
                }),
                /*#__PURE__*/ jsxRuntime.jsxs(material.Stack, {
                    spacing: 1,
                    children: [
                        title && /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                            fontWeight: "bold",
                            children: title
                        }),
                        /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                            children: children
                        })
                    ]
                })
            ]
        })
    });
};

exports.ModalQuick = ModalQuick;
