'use client';
var jsxRuntime = require('react/jsx-runtime');
var React = require('react');

const BreadcrumbsContext = /*#__PURE__*/ React.createContext(null);
const BreadcrumbsProvider = ({ extractCurrent = false, currentPosition = 'top', children })=>{
    const contextValue = React.useMemo(()=>({
            extractCurrent,
            currentPosition
        }), [
        extractCurrent,
        currentPosition
    ]);
    return /*#__PURE__*/ jsxRuntime.jsx(BreadcrumbsContext.Provider, {
        value: contextValue,
        children: children
    });
};
const useBreadcrumbs = ()=>React.useContext(BreadcrumbsContext);

exports.BreadcrumbsProvider = BreadcrumbsProvider;
exports.useBreadcrumbs = useBreadcrumbs;
