'use client';
var jsxRuntime = require('react/jsx-runtime');
var material = require('@mui/material');
var React = require('react');
var BreadCrumbContext12s = require('./BreadCrumbContext-12s-BUJbMvr3.js');
require('@mui/material/Skeleton');
require('@mui/material/Typography');
require('@mui/material/Backdrop');
require('@mui/material/CircularProgress');
require('./Card-12s-BIi-BPmJ.js');
require('embla-carousel-react');
var iconsMaterial = require('@mui/icons-material');
require('@mui/icons-material/ExpandMore');
require('./Drawer-12s-BfluXWzT.js');
require('@mui/material/Stack');
require('@gateweb/react-utils');
require('@mui/material/Box');
require('@mui/material/Button');
require('@mui/material/IconButton');
require('./Modal-12s-Bxa05JQ9.js');
require('./Sidebar-12s-BDd6Wbtj.js');
require('./SidebarContext-12s-F7oOZyM-.js');
require('./Switch-12s-CMxpgPLl.js');
require('./Table-12s-DD4tkVN0.js');
require('react-number-format');
require('./OTPField-12s-QDKrHNoU.js');
require('@mui/material/Alert');
require('@mui/material/Snackbar');
require('./UploadButton-12s-D_1rxGmb.js');

/**
 * `BreadcrumbItem` 是 `Breadcrumb` 的子元件，用於顯示當前路徑的每一個節點。
 *
 * @example
 *
 * ```tsx
 * <Breadcrumbs>
 *  <BreadcrumbItem>Home</BreadcrumbItem>
 *  <BreadcrumbItem>Components</BreadcrumbItem>
 *  <BreadcrumbItem isLast>Button</BreadcrumbItem>
 * </Breadcrumbs>
 * ```
 */ const BreadcrumbItem = /*#__PURE__*/ React.forwardRef(({ isLast, ...rest }, ref)=>{
    const context = BreadCrumbContext12s.useBreadcrumbs();
    if (isLast && context?.extractCurrent) {
        return /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
            ref: ref,
            variant: "h4",
            fontWeight: "bold",
            color: "text.primary",
            ...rest
        });
    }
    return /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
        ref: ref,
        variant: "subtitle1",
        fontWeight: isLast ? 'bold' : 'normal',
        color: isLast ? 'text.primary' : 'text.secondary',
        ...rest
    });
});

/**
 * `FormItem` 讓我們可以將 form input 所需要的共同前後文特性獨立出來管理，
 * 使被 control 的子元件之間的樣式能夠保持一致性。
 * 例如在 form input 元件 `TextField`, `Switch`, `Checkbox` 當中，
 * 將 `label`, `required`, `error` ...等邏輯與樣式獨立出來藉由 FormItem 來管理。
 *
 * 參考 [Material-UI: FormControl](https://mui.com/material-ui/api/form-control/)
 */ const FormItem = ({ children, label, helperText, helpInfo, maxLength, currentLength, error, fullWidth = true, ...rest })=>/*#__PURE__*/ jsxRuntime.jsxs(material.FormControl, {
        fullWidth: fullWidth,
        error: error,
        ...rest,
        children: [
            /*#__PURE__*/ jsxRuntime.jsxs(material.Stack, {
                direction: "row",
                justifyContent: "space-between",
                children: [
                    /*#__PURE__*/ jsxRuntime.jsxs(material.Stack, {
                        direction: "row",
                        alignItems: "center",
                        justifyContent: "center",
                        spacing: 0.5,
                        sx: {
                            position: 'relative',
                            width: 'fit-content'
                        },
                        children: [
                            /*#__PURE__*/ jsxRuntime.jsx(material.FormLabel, {
                                sx: {
                                    fontSize: '0.8rem',
                                    py: 0.5,
                                    '& .MuiFormLabel-asterisk': {
                                        color: 'error.main'
                                    }
                                },
                                children: label
                            }),
                            helpInfo && /*#__PURE__*/ jsxRuntime.jsx(material.Tooltip, {
                                title: helpInfo,
                                placement: "top",
                                enterTouchDelay: 50,
                                children: /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.HelpOutlineOutlined, {
                                    color: "info",
                                    fontSize: "small"
                                })
                            })
                        ]
                    }),
                    maxLength !== undefined && /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                        component: "span",
                        sx: {
                            fontSize: '0.8rem'
                        },
                        color: error ? 'error' : 'text.secondary',
                        children: `${currentLength ?? 0}/${maxLength}`
                    })
                ]
            }),
            /*#__PURE__*/ jsxRuntime.jsx(material.Box, {
                sx: {
                    minHeight: 40,
                    display: 'flex',
                    alignItems: 'flex-start'
                },
                children: children
            }),
            helperText && /*#__PURE__*/ jsxRuntime.jsx(material.FormHelperText, {
                children: helperText
            })
        ]
    });

exports.BreadcrumbItem = BreadcrumbItem;
exports.FormItem = FormItem;
