'use client';
import { jsx } from 'react/jsx-runtime';
import { Box } from '@mui/material';
import { m as mergeSx } from './Button-12s-CYbIRpne.mjs';
import { u as useCarousel } from './Carousel-12s-BBzFYCeA.mjs';

const CarouselContent = ({ sx, children, ...props })=>{
    const { carouselRef, orientation } = useCarousel();
    return /*#__PURE__*/ jsx(Box, {
        ref: carouselRef,
        sx: {
            overflow: 'hidden'
        },
        children: /*#__PURE__*/ jsx(Box, {
            sx: mergeSx({
                display: 'flex',
                ...orientation === 'horizontal' ? {
                    ml: -2
                } : {
                    mt: -2,
                    flexDirection: 'column'
                }
            }, sx),
            ...props,
            children: children
        })
    });
};

export { CarouselContent as C };
