'use client';
import { jsx } from 'react/jsx-runtime';
import { Box } from '@mui/material';
import { m as mergeSx } from './Button-12s-CYbIRpne.mjs';
import { u as useCarousel } from './Carousel-12s-BBzFYCeA.mjs';

const CarouselItem = ({ sx, children, ...props })=>{
    const { orientation } = useCarousel();
    return /*#__PURE__*/ jsx(Box, {
        role: "group",
        "aria-roledescription": "slide",
        sx: mergeSx({
            minWidth: 0,
            flexShrink: 0,
            flexGrow: 0,
            flexBasis: '100%',
            ...orientation === 'horizontal' ? {
                pl: 2
            } : {
                pt: 2
            }
        }, sx),
        ...props,
        children: children
    });
};

export { CarouselItem as C };
